org.eclipse.rdf4j.sail.shacl.results.lazy

## Class LazyValidationReport

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.results.ValidationReport
  - - org.eclipse.rdf4j.sail.shacl.results.lazy.LazyValidationReport

- Deprecated.

      @InternalUseOnly
       @Deprecated
      public class LazyValidationReport
      extends ValidationReport

  A ValidationReport that will defer calculating any ValidationResults until the user asks for them

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.results.ValidationReport

      `conforms, id, truncated, validationResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LazyValidationReport(List<ValidationResultIterator> validationResultIterators, long limit)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Model` | `asModel()` Deprecated.
    `Model` | `asModel(Model model)` Deprecated.
    `boolean` | `conforms()` Deprecated.
    `Resource` | `getId()` Deprecated.
    `List<ValidationResult>` | `getValidationResult()` Deprecated.
    `boolean` | `isTruncated()` Deprecated. Users can enable a limit for the number of validation results they want to accept.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.results.ValidationReport

      `addValidationResult, setTuples`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LazyValidationReport

          public LazyValidationReport(List<ValidationResultIterator> validationResultIterators,
                                      long limit)

      Deprecated.

  - ### Method Detail

    - #### asModel

          public Model asModel(Model model)

      Deprecated.
      Overrides:
        `asModel` in class `ValidationReport`

    - #### asModel

          public Model asModel()

      Deprecated.
      Overrides:
        `asModel` in class `ValidationReport`

    - #### getId

          public Resource getId()

      Deprecated.
      Overrides:
        `getId` in class `ValidationReport`

    - #### conforms

          public boolean conforms()

      Deprecated.
      Overrides:
        `conforms` in class `ValidationReport`
      Returns:
        false if the changes violated a SHACL Shape

    - #### getValidationResult

          public List<ValidationResult> getValidationResult()

      Deprecated.
      Overrides:
        `getValidationResult` in class `ValidationReport`
      Returns:
        list of ValidationResult with more information about each violation

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `ValidationReport`

    - #### isTruncated

          public boolean isTruncated()

      Deprecated.
      Description copied from class: `ValidationReport`
      Users can enable a limit for the number of validation results they want to accept. If the limit is reached the report will be marked as truncated.
      Overrides:
        `isTruncated` in class `ValidationReport`
      Returns:
        true if this SHACL validation report has been truncated.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.